package cn.iocoder.yudao.module.mqtt.api.path.task;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 任务执行顺序配置
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskOrderConfigDTO {

    @Schema(description = "优先级权重")
    private Integer priority = 1;

    @Schema(description = "创建时间权重")
    private Integer createTime = 1;

    @Schema(description = "距离权重")
    private Integer distance = 1;
}
